#include "systemc.h"
#include "trace_bca.h"

SC_MODULE(master_bca) {

   //ports
   sc_outmaster<int, sc_fullHandshake<int> > dat1;
   
   sc_in_clk clk;
   sc_in<int> rstp;
      
   int i, state, data1, outdata;
   
   void master_f();
   
   SC_CTOR(master_bca) {
      SC_THREAD(master_f);
      sensitive_pos << clk;
      
   }
};
